
$(document).ready(function(){
	var data = "delivery/data.php";
	$('#data-mahasiswa').load(data);
	
	$("#form-tambah").submit(function(e) {
		e.preventDefault();
		
		$("#error_date_kirim").html('');
		$("#error_detail_po").html('');
		$("#error_qty").html('');
		
		var dataform = $("#form-tambah").serialize();
		$.ajax({
			url: "delivery/input.php",
			type: "post",
			data: dataform,
			success: function(result) {
				var hasil = JSON.parse(result);
				if (hasil.hasil !== "sukses") {
					$("#error_date_kirim").html(hasil.error.date_kirim);
					$("#error_detail_po").html(hasil.error.detail_po);
					$("#error_qty").html(hasil.error.qty);
				} else {
					$('#modal-tambah').modal('hide');
					$("#date_kirim").val('');
					$("#customer").val('');
					$("#detail_po").val('');
					$("#product").val('');
					$("#ekspedisi").val('');
					$("#detail_ekspedisi").val('');
					$("#qty").val('');
					$("#dn").val('');
					$('#data-mahasiswa').load(data);
				}
			}
		});
	});
	
	$(document).on('click','#edit',function(e){
		e.preventDefault();
		$("#modal-edit").modal('show');
		$.post('delivery/edit.php',
			{id:$(this).attr('data-id')},
			function(html){
				$("#data-edit").html(html);
			}   
		);
	});
	
	
	$("#form-edit").submit(function(e) {
		e.preventDefault();
		
		$("#error_date_kirim").html('');
		$("#error_detail_ekspedisi").html('');
		$("#error_dn").html('');

		var dataform = $("#form-edit").serialize();
		$.ajax({
			url: "delivery/update.php",
			type: "post",
			data: dataform,
			success: function(result) {
				var hasil = JSON.parse(result);
				if (hasil.hasil !== "sukses") {
					$("#error_edit_date_kirim").html(hasil.error.edit_date_kirim);
					$("#error_edit_detail_ekspedisi").html(hasil.error.edit_detail_ekspedisi);
					$("#error_edit_dn").html(hasil.error.edit_dn);
				} else {
					$('#modal-edit').modal('hide');
					$("#date_kirim").val('');
					$("#detail_ekspedisi").val('');
					$("#dn").val('');
					$('#data-mahasiswa').load(data);
				}
			}
		});
	});
	
	$(document).ready(function(){
		$('.input-tanggal').datepicker({
			dateFormat: 'yy-mm-dd'
		});		
	});	


	$('#customer').on('change', function(){
		$.get('delivery/things.php?customer=' + $('#customer').val(), function(data) {
				//fungsi eksekusi func. Ajax
				$('#container1').html(data);
		});
	  });

	$('#product').on('change', function(){
		$.get('delivery/things2.php?product=' + $('#product').val(), function(data) {
				//fungsi eksekusi func. Ajax
				$('#container2').html(data);
		});
	  });


	$('#ekspedisi').on('change', function(){
		$.get('delivery/things3.php?ekspedisi=' + $('#ekspedisi').val(), function(data) {
				//fungsi eksekusi func. Ajax
				$('#container3').html(data);
		});
	  });

});